Skip to main content
PATCH
/
v1
/
workspaces
/
me
Update workspace
curl --request PATCH \
  --url https://api.example.com/v1/workspaces/me \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "slug": "<string>",
  "plan": "<string>",
  "plan_status": "<string>",
  "beta_override": true,
  "emails_sent_this_period": 123,
  "inbound_received_this_period": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "trial_ends_at": "2023-11-07T05:31:56Z",
  "current_period_start": "2023-11-07T05:31:56Z",
  "current_period_end": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string | null

Response

Successful Response

id
string<uuid>
required
name
string
required
slug
string
required
plan
string
required
plan_status
string
required
beta_override
boolean
required
emails_sent_this_period
integer
required
inbound_received_this_period
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
trial_ends_at
string<date-time> | null
current_period_start
string<date-time> | null
current_period_end
string<date-time> | null